%bcond_without check

%global debug_package	%{nil}

%global goipath			github.com/fabpot/local-php-security-checker
Version:				2.0.6

%gometa

%global golicenses      LICENSE
%global godocs          README.md

Name:       golang-github-fabpot-local-php-security-checker
Release:    %mkrel 3

Summary:    PHP security vulnerabilities checker
License:    AGPL-3.0
Group:      Development/Other
Url:        https://github.com/fabpot/local-php-security-checker
Source0:    https://github.com/fabpot/local-php-security-checker/archive/v%{version}/local-php-security-checker-%{version}.tar.gz
Patch0:		local-php-security-checker-2.0.6-v2_security.patch

BuildRequires:  golang(github.com/hashicorp/go-version)
BuildRequires:  golang(github.com/mitchellh/go-homedir)
BuildRequires:  golang(github.com/stretchr/testify)
BuildRequires:  golang(gopkg.in/yaml.v3)

%description
The Local PHP Security Checker is a command line tool that checks if your PHP
application depends on PHP packages with known security vulnerabilities.

It uses the Security Advisories Database behind the scenes.

%gopkg

%package -n php-security-checker
Summary:    PHP security vulnerabilities checker CLI
Group:		Development/PHP

%description -n php-security-checker
The Local PHP Security Checker is a command line tool that checks if your PHP
application depends on PHP packages with known security vulnerabilities.

It uses the Security Advisories Database behind the scenes.

%prep
%goprep
%autopatch

%build
%gobuild

%install
%gopkginstall

install -m 0755 -d %{buildroot}%{_bindir}
install -m 0755 local-php-security-checker-%{version} %{buildroot}%{_bindir}/php-security-checker

%if %{with check}
%check
%gocheck
%endif

%files -n php-security-checker
%{_bindir}/php-security-checker

%gopkgfiles


%changelog
* Fri Dec 01 2023 rapsys <rapsys> 2.0.6-3.mga10
+ Revision: 2012379
- Fix bindir error
- Enable autopatch

* Fri Dec 01 2023 rapsys <rapsys> 2.0.6-1.mga10
+ Revision: 2012312
- Import golang github fabpot local-php-security-checker package version 2.0.6
- Fix naming
- Fix naming
- Created package structure for security-checker.

